org.apache.felix.ipojo.manipulator.spi

## Class AbsBindingModule.HandlerBindingBuilder

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.spi.AbsBindingModule.HandlerBindingBuilder

Enclosing class:
  AbsBindingModule

    public class AbsBindingModule.HandlerBindingBuilder
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`HandlerBindingBuilder(List<Binding> bindings, Class<? extends Annotation> annotationType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `to(String namespace, String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HandlerBindingBuilder

    public HandlerBindingBuilder(List<Binding> bindings,
                                 Class<? extends Annotation> annotationType)

### Method Detail

#### to

    public void to(String namespace,
                   String name)